Package org.oorexx.misc

# Enum Class OldGreekAlphabetEnum

java.lang.Object
java.lang.Enum<OldGreekAlphabetEnum>
org.oorexx.misc.OldGreekAlphabetEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<OldGreekAlphabetEnum>`, `Constable`

public enum OldGreekAlphabetEnum extends Enum<OldGreekAlphabetEnum>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALPHA`
  `BETA`
  `CHI`
  `DELTA`
  `EPSILON`
  `ETA`
  `GAMMA`
  `IOTA`
  `KAPPA`
  `LAMBDA`
  `MY`
  `NY`
  `OMEGA`
  `OMIKRON`
  `PHI`
  `PI`
  `PSI`
  `RHO`
  `SIGMA`
  `TAU`
  `THETA`
  `XI`
  `YPSILON`
  `ZETA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static OldGreekAlphabetEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static OldGreekAlphabetEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALPHA

    public static final OldGreekAlphabetEnum ALPHA

  - ### BETA

    public static final OldGreekAlphabetEnum BETA

  - ### GAMMA

    public static final OldGreekAlphabetEnum GAMMA

  - ### DELTA

    public static final OldGreekAlphabetEnum DELTA

  - ### EPSILON

    public static final OldGreekAlphabetEnum EPSILON

  - ### ZETA

    public static final OldGreekAlphabetEnum ZETA

  - ### ETA

    public static final OldGreekAlphabetEnum ETA

  - ### THETA

    public static final OldGreekAlphabetEnum THETA

  - ### IOTA

    public static final OldGreekAlphabetEnum IOTA

  - ### KAPPA

    public static final OldGreekAlphabetEnum KAPPA

  - ### LAMBDA

    public static final OldGreekAlphabetEnum LAMBDA

  - ### MY

    public static final OldGreekAlphabetEnum MY

  - ### NY

    public static final OldGreekAlphabetEnum NY

  - ### XI

    public static final OldGreekAlphabetEnum XI

  - ### OMIKRON

    public static final OldGreekAlphabetEnum OMIKRON

  - ### PI

    public static final OldGreekAlphabetEnum PI

  - ### RHO

    public static final OldGreekAlphabetEnum RHO

  - ### SIGMA

    public static final OldGreekAlphabetEnum SIGMA

  - ### TAU

    public static final OldGreekAlphabetEnum TAU

  - ### YPSILON

    public static final OldGreekAlphabetEnum YPSILON

  - ### PHI

    public static final OldGreekAlphabetEnum PHI

  - ### CHI

    public static final OldGreekAlphabetEnum CHI

  - ### PSI

    public static final OldGreekAlphabetEnum PSI

  - ### OMEGA

    public static final OldGreekAlphabetEnum OMEGA

- ## Method Details

  - ### values

    public static OldGreekAlphabetEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static OldGreekAlphabetEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null